Skip to main content
GET
List async Requests

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Query Parameters

cursor
string
Minimum string length: 1
limit
integer
Required range: 1 <= x <= 100
operation
enum<string>
Available options:
import,
export,
model-run,
report,
prediction-import,
dataset-version,
source-representation
state
enum<string>
Available options:
queued,
running,
succeeded,
failed,
cancelled
principalId
string
Required string length: 1 - 200
targetId
string
Required string length: 1 - 200

Response

List async Requests

items
object[]
required
nextCursor
string | null
required